Clearer template errors should be given during build review
Bugzilla link:  Red Hat JIRA:  
Description

When putting a machine in build mode, if there is an error in the template the error message is very vague, like "Failure parsing

<template name>: undefined method `<' for nil:NilClass.".

This makes debugging very hard. The error message should at least contain the line number for the line causing the error.

Related issues:

Related to Foreman - Feature #746: Generate all the Host template when click ... Closed 03/15/2011

Related to Foreman - Bug #18345: Better rescue from syntax error in template ... Closed 02/01/2017

History

#1 - 03/10/2015 07:23 AM - Dominic Cleal

- Project changed from Docker to Foreman

- Subject changed from Clearer template errors should be given. to Clearer template errors should be given during build review

- Category set to Templates

#2 - 03/10/2015 07:24 AM - Dominic Cleal

- Related to Feature #746: Generate all the Host template when click on Build to avoid errors during installation added

#3 - 03/15/2015 12:03 PM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#4 - 08/17/2016 07:36 AM - Shlomi Zadok

- Assignee deleted (Shlomi Zadok)

#5 - 02/01/2017 10:35 AM - Marek Hulán

- Related to Bug #18345: Better rescue from syntax error in template rendering added

#6 - 02/01/2017 10:40 AM - Marek Hulán

Error messages could be improved by using macros, that would have explicit checks on objects. There was a discussion on foreman-dev list recently

that suggested using proxy objects on which we'd define such macros. The line number is technically possible only with safe mode disabled, #18432

adds this to the log at least.
